Software Development : We design and develop customized software to meet the daily needs of civil engineers, draftsmen and architects. We also modify our existing software packages to meet the specific requirements of our clients.

  • Custom software development for Windows to generate drawings and calculate quantity
  • Custom software for the Linux platform to generate drawings and quantity calculation
  • VBA Scripts for AutoCAD(R) to automate routine tasks
  • Lisp scripting support for AutoCAD(R)
  • Python Scripts for CAD on Windows and Linux platform

VBA Script Sample for AutoCAD(R)


    Sub PlotWindow2PDF()
      ' This example allows the user to define an area in the current layout
      ' and displays a plot preview of the defined area.
      '
      ' * Note: You have to exit the
      ' plot preview before the VBA example will stop and control will be returned

      AppActivate ThisDrawing.Application.Caption

      Dim point1 As Variant, point2 As Variant

      ' Get first point in window
      point1 = ThisDrawing.Utility.GetPoint(, "Click the lower-left of the window to plot.")
      ReDim Preserve point1(0 To 1) ' Change this to a 2D array by removing the Z position

      ' Get second point in window
      point2 = ThisDrawing.Utility.GetPoint(, "Click the upper-right of the window to plot.")
      ReDim Preserve point2(0 To 1) ' Change this to a 2D array by removing the Z position

      ' Send information about window to current layout
      ThisDrawing.ActiveLayout.SetWindowToPlot point1, point2

      ' Read back window information
      ThisDrawing.ActiveLayout.GetWindowToPlot point1, point2

      MsgBox "Press any key to plot the following window:" & vbCrLf & vbCrLf & _
      "Lower Left: " & point1(0) & ", " & point1(1) & vbCrLf & _
      "Upper Right: " & point2(0) & ", " & point2(1)

      ' Be sure to plot a view, not some other plot style
      ThisDrawing.ActiveLayout.PlotType = acWindow

      ' Send Plot To Window
      ThisDrawing.ActiveLayout.ConfigName = "DWG to PDF.pc3"
      ThisDrawing.Plot.DisplayPlotPreview acFullPreview
    End Sub
    

Contact Us today to know more about how we can assist you to develop customized CAD tools to automate your civil engineering tasks.